Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Match a list of VAT numbers to recipients that have an active partner integration for a specific tenant.

POST
/v2/tenant/{tenantKey}/companymatch/vatnr_with_active_partner_integration
curl --request POST \
--url https://sender.api.kivra.com/v2/tenant/example/companymatch/vatnr_with_active_partner_integration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "list": [ "SE559408724801", "SE556917354401", "SE556840226601" ] }'

This resource is used to match a list of Companies to check that they have an active integration with a partner fetching from their company inbox and are eligible for receiving Content from a specific Tenant.

Note: This is only for specific use cases, and will not give you all eligible recipients. You most likely want to use the regular company match.

The request contains a list of VAT numbers to be matched, and the response is a filtered subset of said list containing only those VAT numbers matching a Company Recipient for which the Tenant is eligible to send Content to, and have an active partner integration.

Note: If none of the provided VAT numbers match a Recipient eligible to receive content from the given Tenant, an empty list will be returned.

  • oAuth2Client
    post:kivra.v2.tenant.{tenantKey}.companymatch.vatnr_with_active_partner_integration
tenantKey
required
string format: hexadecimal

The Tenant key that the matching should be done on behalf of.

List of VAT numbers to be matched. The payload can be up to 10MB in size, corresponding to about 500.000 VAT numbers.

Media typeapplication/json
CompanyMatchSet
object
list
required

List of VAT Numbers

Array<string>
Example
{
"list": [
"SE559408724801",
"SE556917354401",
"SE556840226601"
]
}

Filtered list of VAT numbers that matched.

Media typeapplication/json
CompanyMatchSet
object
list
required

List of VAT Numbers

Array<string>
Example
{
"list": [
"SE556840226601",
"SE559408724801"
]
}

Payload exceeded 10MB — try splitting into multiple calls instead.